Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.launch
Class EPPLaunchCheck

    java.lang.Object
      com.verisign.epp.codec.launch.EPPLaunchCheck

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPLaunchCheck

extends java.lang.Object
implements EPPCodecComponent

Extension to the domain check command to implement the Claims Check Command or an availability check in the context of a specific launch phase.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_LOCALNAME` Constant for the launch phase check extension local name
`static java.lang.String` | `ELM_NAME` Constant for the launch phase info extension tag
`static java.lang.String` | `TYPE_AVAILABILITY` Constant used to specify the availability check form type
`static java.lang.String` | `TYPE_CLAIMS` Constant used to specify the claims check form type

Constructor Summary
`EPPLaunchCheck()` Create an EPPLaunchInf instance
`EPPLaunchCheck(EPPLaunchPhase aPhase)` Create a `EPPLaunchCheck` instance with the required phase attribute value.
`EPPLaunchCheck(EPPLaunchPhase aPhase, java.lang.String aType)` Create a `EPPLaunchCheck` instance with the required phase and optional type attribute value.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPLaunchCheck`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the DOM element to the `EPPLaunchCheck`.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode the `EPPLaunchCheck` to a DOM Element
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPLaunchCheck` compare.
`EPPLaunchPhase` | `getPhase()` Gets phase of the check command.
`java.lang.String` | `getType()` Gets the check form type, which should be either `TYPE_CLAIMS`, `TYPE_AVAILABILITY`, or `null` for undefined.
`boolean` | `hasType()` Is the check form type defined?
`void` | `setPhase(EPPLaunchPhase aPhase)` Sets the phase of the check command.
`void` | `setPhase(java.lang.String aPhaseString)` Sets the phase with one of the `EPPLaunchPhase` `PHASE` constants.
`void` | `setType(java.lang.String aType)` Sets the check form type.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_CLAIMS

    public static final java.lang.String TYPE_CLAIMS

  Constant used to specify the claims check form type

  See Also:
    Constant Field Values

### TYPE_AVAILABILITY

    public static final java.lang.String TYPE_AVAILABILITY

  Constant used to specify the availability check form type

  See Also:
    Constant Field Values

### ELM_LOCALNAME

    public static final java.lang.String ELM_LOCALNAME

  Constant for the launch phase check extension local name

  See Also:
    Constant Field Values

### ELM_NAME

    public static final java.lang.String ELM_NAME

  Constant for the launch phase info extension tag

  See Also:
    Constant Field Values

Constructor Detail

### EPPLaunchCheck

    public EPPLaunchCheck()

  Create an EPPLaunchInf instance

### EPPLaunchCheck

    public EPPLaunchCheck(EPPLaunchPhase aPhase)

  Create a `EPPLaunchCheck` instance with the required phase attribute value.

  Parameters:
    `aPhase` - The phase with the value of to execute the check against. `EPPLaunchPhase.PHASE_CLAIMS` should be used for the Claims Check Command.

### EPPLaunchCheck

    public EPPLaunchCheck(EPPLaunchPhase aPhase,
                          java.lang.String aType)

  Create a `EPPLaunchCheck` instance with the required phase and optional type attribute value.

  Parameters:
    `aPhase` - The phase with the value of to execute the check against. `EPPLaunchPhase.PHASE_CLAIMS` should be used for the Claims Check Command.
    `aType` - Claims form type using either `TYPE_CLAIMS` or `TYPE_AVAILABILITY`.

Method Detail

### hasType

    public boolean hasType()

  Is the check form type defined?

  Returns:
    `true` if the type is defined; `false` otherwise.

### getType

    public java.lang.String getType()

  Gets the check form type, which should be either `TYPE_CLAIMS`, `TYPE_AVAILABILITY`, or `null` for undefined.

  Returns:
    `TYPE_CLAIMS`, `TYPE_AVAILABILITY`, or `null` for undefined.

### setType

    public void setType(java.lang.String aType)

  Sets the check form type. The XML schema defines the default as `TYPE_CLAIMS` if undefined.

  Parameters:
    `aType` - `TYPE_CLAIMS` or `TYPE_AVAILABILITY`

### getPhase

    public EPPLaunchPhase getPhase()

  Gets phase of the check command.

  Returns:
    phase of the check command if set; `null` otherwise.

### setPhase

    public void setPhase(EPPLaunchPhase aPhase)

  Sets the phase of the check command.

  Parameters:
    `aPhase` - The phase with the value of to execute the check against. `EPPLaunchPhase.PHASE_CLAIMS` should be used for the Claims Check Command.

### setPhase

    public void setPhase(java.lang.String aPhaseString)

  Sets the phase with one of the `EPPLaunchPhase` `PHASE` constants.

  Parameters:
    `aPhaseString` - One of the `EPPLaunchPhase` `PHASE` constants.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPLaunchCheck`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPLaunchCheck`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode the `EPPLaunchCheck` to a DOM Element

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - a DOM Document to attach data to.
  Returns:
    The root element of this component.
  Throws:
    `EPPEncodeException` - Thrown if any errors prevent encoding.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the DOM element to the `EPPLaunchCheck`.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - DOM Element to decode the attribute values
  Throws:
    `EPPDecodeException` - Error decoding the DOM Element

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPLaunchCheck` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPLaunchCheck` instance to compare with
  Returns:
    true if equal false otherwise

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.